%define name gcrystal
%define version 0.5.1
%define release 2mdk

Summary: 	GNOME crystal structure visualization
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	gnome-crystal-%{version}.tar.bz2
URL: 		http://www.nongnu.org/gcrystal/
License: 	GPL
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgcu0-devel libglade2.0_0-devel libgnomeprintui2-2_0-devel libgnomeui2-devel
BuildRequires:	libjpeg-devel gettext pkgconfig libpng-devel
Requires: 	libbonobo2 libgnomeui2 libjpeg 

%description
GCrystal is a light, GNOME2-incorporated model visualizer for crystal
structures.

%prep
%setup -q -n gnome-crystal-%version
%configure

%build
%make

%install
%makeinstall
%find_lang gnome-crystal

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="gcrystal"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="GCrystal"\
icon="chemistry_section.png"\
longtitle="GNOME crystal structure tool"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
scrollkeeper-update -p /usr/local/var/scrollkeeper -o /usr/local/share/omf/gcrystal

%postun
%clean_menus
scrollkeeper-update

%files -f gnome-crystal.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%_bindir/%name
%_menudir/%name
%_libdir/bonobo/servers/%name.server
%_datadir/applications/%name.desktop
%_datadir/%name/glade/*.glade
%_datadir/gnome/ui/%name.xml
%_datadir/pixmaps/*.png
%_datadir/mime-info/%name.*

%changelog
* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.5.1-2mdk
- buildrequires libpng

* Thu Apr 3 2003 Austin Acton <aacton@yorku.ca> 0.5.1-1mdk
- initial package
